
Redmine - Defect #8022

undefined method `last' for nil:NilClass in mercurial_adapter.rb:73 (Ruby 1.9.2)

2011-03-30 14:06 - Jeremy Cowgar

Status: Closed Start date: 2011-03-30

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.2

Description

I'm aware that Redmine is not yet supported on Ruby 1.9, however I have been running it without any issue except this, thus I figured

a ticket might be useful when 1.9 support is looked at:

www-data@merlin:~/redmine$ RAILS_ENV=production rake redmine:fetch_changesets

(in /var/www/redmine)

broken pipe

rake aborted!

undefined method `last' for nil:NilClass

/var/www/redmine/lib/redmine/scm/adapters/mercurial_adapter.rb:73:in `info'

/var/www/redmine/app/models/repository/mercurial.rb:71:in `fetch_changesets'

/var/www/redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:217

:in `method_missing'

/var/www/redmine/app/models/repository.rb:176:in `block in fetch_changesets'

/var/www/redmine/app/models/repository.rb:174:in `each'

/var/www/redmine/app/models/repository.rb:174:in `fetch_changesets'

/var/www/redmine/lib/tasks/fetch_changesets.rake:22:in `block (2 levels) in <top (required)>'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:634:in `call'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:634:in `block in execute'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:629:in `each'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:629:in `execute'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:595:in `block in invoke_with_call_chain'

/opt/ruby1.9/lib/ruby/1.9.1/monitor.rb:201:in `mon_synchronize'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:588:in `invoke_with_call_chain'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:581:in `invoke'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:2041:in `invoke_task'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:2019:in `block (2 levels) in top_level'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:2019:in `each'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:2019:in `block in top_level'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:2058:in `standard_exception_handling'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:2013:in `top_level'

/opt/ruby1.9/lib/ruby/1.9.1/rake.rb:1992:in `run'

/opt/ruby1.9/bin/rake:31:in `<main>'

 Environment:

From Information: "Redmine 1.1.2.stable (PostgreSQL)" 

From Host System:

www-data@merlin:~/redmine$ uname -a

Linux merlin 2.6.24-19-server #1 SMP Wed Aug 20 18:43:06 UTC 2008 x86_64 GNU/Linux

www-data@merlin:~/redmine$ cat /etc/debian_version

lenny/sid

www-data@merlin:~/redmine$ ruby -v

ruby 1.9.2p180 (2011-02-18 revision 30909) [x86_64-linux]

www-data@merlin:~/redmine$ gem list

*** LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.0.5, 2.3.5, 1.2.1)

actionpack (3.0.5, 2.3.5, 1.12.1)

2025-05-01 1/2



actionwebservice (1.1.2)

activemodel (3.0.5)

activerecord (3.0.5, 2.3.5, 1.14.2)

activeresource (3.0.5, 2.3.5)

activesupport (3.0.5, 2.3.5, 1.3.1)

arel (2.0.9)

builder (2.1.2)

bundler (1.0.10)

cancan (1.6.3)

cgi_multipart_eof_fix (2.5.0)

daemon_controller (0.2.6)

daemons (1.1.1, 1.0.10)

erubis (2.6.6)

fastthread (1.0.7)

file-tail (1.0.5)

gem_plugin (0.2.3)

i18n (0.5.0, 0.4.2)

jquery-rails (0.2.7)

jquery-validator (0.3.0)

mail (2.2.15)

mime-types (1.16)

minitest (1.6.0)

mongrel (1.2.0.pre2)

mongrel_cluster (1.0.5)

passenger (3.0.5)

pg (0.10.1)

polyglot (0.3.1)

rack (1.2.2, 1.0.1)

rack-mount (0.6.14)

rack-test (0.5.7)

rails (3.0.5, 2.3.5, 1.1.2)

railties (3.0.5)

rake (0.8.7)

rdoc (2.5.8)

RedCloth (3.0.4)

spruz (0.2.5)

thor (0.14.6)

treetop (1.4.9)

tzinfo (0.3.25)

History

#1 - 2011-04-03 09:51 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#2 - 2011-04-03 10:06 - Toshi MARUYAMA

- Status changed from New to Closed

I refactored Mercurial adapter in trunk and I confirmed to pass tests in Ruby 1.9.2.
